body,
p,
h1,
ul,
li {
	padding: 0px;
	margin: 0px;
	font-family: 'Jetbrains Mono', monospace;
}

li {
	list-style: none;
}

body {
	font-family: Georgia, serif;
	color: #252525;
}

* {
	box-sizing: border-box;
}

a {
	text-decoration: none;
}

.main-container {
	display: flex;
	background: #e7e4d8;
}

@media (max-width: 739px) {
	.main-container {
		flex-direction: column;
	}
}

.sidenav {
	background: #252525;
	flex: 1;
	max-width: 300px;
	width: 100%;
	margin-right: 10px;
}

.sidenav__nav {
	/* padding: 0 10px; */
	position: relative;
	display: flex;
	flex-wrap: wrap;
}

.sidenav__nav:first-child {
	margin-top: 20px;
}

.sidenav__title {
	text-align: center;
	color: #6366f1;
	font-family: JetBrains mono;
	font-size: 24px;
	width: 100%;
	font-weight: 700;
	text-transform: uppercase;
}

.sidenav__subtitle {
	color: #6366f1;
	text-align: center;
	font-size: 14px;
	width: 100%;
}

.sidenav__subtitle::after {
	content: '';
	margin-top: 20px;
	width: 100%;
	background: #6366f1;
	height: 1px;
	display: block;
}

.sidenav__menu {
	width: 100%;
	display: flex;
	flex-wrap: wrap;
	position: relative;
}
.sidenav__submodule__title {
	color: #6366f1;
	padding: 5px 10px;
	background: #151515;
	font-weight: 700;
	width: 100%;
}

.sidenav__submodule__classes {
	width: 100%;
}

.sidenav__submodule__classes .sidenav__submodule__tutorial:nth-child(2n) {
	background-color: #202020;
}

.sidenav__submodule__tutorial {
	color: #6366f1;
	font-size: 12px;
	width: 100%;
	padding: 10px;
}

.sidenav__submodule__link_viewed::before {
	content: '';
	border-radius: 50%;
	background: green;
	border: 1px solid #151515;
	margin-right: 5px;
	height: 8px;
	width: 8px;
	display: inline-block;
}

.sidenav__submodule__link::before {
	content: '';
	border-radius: 50%;
	background: red;
	border: 1px solid #151515;
	margin-right: 5px;
	height: 8px;
	width: 8px;
	display: inline-block;
}

.active__submodule {
	background: #6366f1;
	color: #ffffff;
	animation: 0.5s ease-out 0s 1 slideIn;
}

@keyframes slideIn {
	0% {
		transform: translateX(-100%);
	}
	100% {
		transform: translateX(0);
	}
}

@media (max-width: 739px) {
	.sidenav {
		max-width: 400px;
		margin: 10px auto;
		width: auto;
	}
}
